2025-12-06Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.14.2/3.13.11, SECURITY_PATCH++,
	  (CVE-2025-12084, and some potential DoSes)

2025-12-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.14.1/3.13.10
	* patches-3.14/0001-Fix-build-against-LibreSSL.patch: updated

2025-10-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.13.9
	* BUILD: optimizations should be off for 3.14 too
	* patches-3.14/0001-Fix-build-against-LibreSSL.patch: added from
	  https://github.com/libressl/portable/issues/1202#issuecomment-3392709048

2025-10-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE, patches-3.14/*: versions 3.14.0/3.13.8

2025-09-10 Thomas Orgis <sobukus@sourcemag.org>
	* DEPENDS: libxcrypt not optional anymore

2025-08-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.13.7

2025-08-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.13.6

2025-06-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.13.5

2025-06-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.13.4/3.12.11/3.11.13/3.10.18/3.9.23, SECURITY_PATCH++
	* patches-3.13/0001-Fix-build-against-LibreSSL.patch: updated for 3.13.4

2025-04-09 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add mpdecimal

2025-04-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.13.3/3.12.10/3.11.12/3.10.16/3.9.22, SECURITY_PATCH++

2025-02-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.13.2/3.12.9

2025-01-18 Ismael Luceno <ismael@sourcemage.org>
	* BUILD, CONFIGURE, DEPENDS: added knob for LTO build

2024-12-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.13.1/3.12.8/3.11.11/3.10.16/3.9.21, SECURITY_PATCH++,
	* patches-3.13/0001-Fix-build-against-LibreSSL.patch: updated for 3.13.1

2024-10-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE, patches-3.13/*: version 3.13.0
	* BUILD: disabled optimizations for 3.13 branch

2024-10-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.12.7

2024-09-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.12.6//3.11.10/3.10.15

2024-08-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.12.5

2024-06-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.12.4
	* patches-3.12/0001-Fix-build-against-LibreSSL.patch: updated for 3.12.4

2024-05-09 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++ [3.11, 3.12]
	* patches-3.11/0001-Fix-build-against-LibreSSL.patch,
	  patches-3.12/0001-Fix-build-against-LibreSSL.patch:
	  updated for 3.11.9, and 3.12.3 respectively.

2024-04-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.12.3, SECURITY_PATCH++, (CVE-2023-52425)

2024-04-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.11.9

2024-03-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.10.14/3.9.19/3.8.19, SECURITY_PATCH++,
	  (CVE-2023-52425, CVE-2024-0450, CVE-2023-6597)

2024-02-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.12.2/3.11.8

2023-01-14 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: needs at least gcc 4.9.0

2023-12-17 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS, BUILD: optional depends libxcrypt

2023-12-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.12.1

2023-12-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.11.7

2023-11-13 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE: drop warning about py3 default

2023-11-04 Pavel Vinogradov <public@sourcemage.org>
	* patches-3.12/0001-Fix-build-against-LibreSSL.patch: updated to build hashlib
	  module with LibreSSL

2023-10-16 Thomas Orgis <sobukus@sourcemage.org>
	* UP_TRIGGERS: fix for upgrades from 3.10 on

2023-10-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE, patches-3.12/*: versions 3.12.0/3.11.6
	* python.gpg: added new key, A821E680E5FA6305, Thomas Wouters <thomas@xs4all.nl>

2023-08-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.11.5/3.10.13/3.9.18/3.8.18, SECURITY_PATCH++,
	  (CVE-2023-40217)

2023-06-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.11.4, 3.10.12, 3.9.17, 3.8.17, 3.7.17, SECURITY_PATCH++

2023-04-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.11.3, 3.10.11

2023-03-27 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: marked 3.11.x as stable

2023-02-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.11.2, 3.10.10, switched back to gpg checking for 3.11

2022-12-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.11.1, 3.10.9, 3.9.16, 3.8.16, 3.7.16, SECURITY_PATCH++,
	  (CVE-2022-45061, CVE-2022-42919, CVE-2022-37454, CVE-2015-20107)

2022-11-18 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: removed duplicated dependency on expat

2022-10-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE, patches-3.11/*: version 3.11.0 as devel, temporary
	  switched to hashsum source checking

2022-10-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.10.8/3.9.15/3.8.15/3.7.15

2022-09-15 Ismael Luceno <ismael@sourcemage.org>
	* patches-3.10/0001-Fix-build-against-LibreSSL.patch:
	  fixed build against LibreSSL
	* DETAILS: PATCHLEVEL++

2022-09-07 Ismael Luceno <ismael@sourcemage.org>
	* INSTALL: added python3-embed pkgconfig alias
	* DETAILS: PATCHLEVEL++

2022-09-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.9.14, 3.8.14, 3.7.14, SECURITY_PATCH++, (CVE-2020-1073)

2022-09-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.7 for 3.10 branch

2022-08-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.6 for 3.10 branch

2022-06-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.5 for 3.10 branch

2022-05-27  Florian Franzmann  <bwlf@bandrate.org>
	* DEPENDS: use system libs where possible
	* BUILD: enable optimizations

2022-05-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.13 for 3.9 branch

2022-03-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.4 for 3.10 branch,  3.9.12 for 3.9 branch
	* patches-3.9/hashlib-libressl-3.5.patch: added patch that fixes _hashlib
	  module to build with LibreSSL 3.5

2022-03-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.10.3/3.9.11/3.8.13/3.7.13, SECURITY_PATCH++

2022-01-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.10 for 3.9 branch

2022-01-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.2 for 3.10 branch

2021-12-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.10.1 for 3.10 branch

2021-11-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.9 for 3.9 branch

2021-11-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.8 for 3.9 branch

2021-10-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE, patches-3.10/*: version 3.10.0 as devel/stable
	* python.gpg: added new key: 64E628F8D684696D,
	  Pablo Galindo Salgado <pablogsal@gmail.com>

2021-08-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.7

2021-07-22 David C. Haley <khoralin@gmail.com>
	* DEPENDS: corrected mispelling of dependency

2021-07-22 David C. Haley <khoralin@gmail.com>
	* DEPENDS: added optional libffi; needed for _ctypes module

2021-07-03  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: version 3.9.6

2021-05-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.9.5

2021-04-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.9.4
	  SECURITY_PATCH++ fixes CVE-2021-3426

2021-03-30 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated to 3.9.2
	* INSTALL: added python3 pkgconfig alias

2020-12-08 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.9.1

2020-10-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.9.0
	* patches-3.9/*: added
	* PREPARE: adjust
	* UP_TRIGGERS: fix
	* DETAILS: PATCHLEVEL=1
	* obj.patch: added, need by libxml2

2020-09-29 Thomas Orgis <sobukus@sourcemage.org>
	* INSTALL: do not create a dangling link

2020-09-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.8.6

2020-07-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.8.5

2020-07-17 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.8.4

2020-05-14 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.8.3

2020-03-04 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.8.2

2020-02-05 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Removed dependency on g++; breaks the build
	* PRE_BUILD: Removed stdatomic edit, as it is correctly detected;
	  Simplified, use only VERSION for patch selection
	* DETAILS, PREPARE: Renamed branches

2019-12-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.8.1/3.7.6/3.6.10

2019-12-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: placed each VERSION on separate line so that sorcery can
	  detect this spell as multiversioned

2019-11-22 Pavel Vinogradov <public@sourcemage.org>
	* python.gpg: added new key,
	  E3FF2839C048B25C084DEBE9B26995E310250568,
	  Łukasz Langa <lukasz@python.org>
	* PRE_BUILD, patches-3.8/{disable-compileall,makefile}.patch:
	  overhauled for devel 3.8 branch

2019-10-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: stable version 3.7.5

2019-10-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 3.8.0

2019-09-20 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS, PREPARE: devel -> 3.8.0b4, stable -> 3.7.4, old -> 3.6.9

2019-07-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 3.7.4, SECURITY_PATCH++,
	  (CVE-2019-9948, CVE-2019-9740)

2019-07-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: stable version 3.6.9, SECURITY_PATCH++,
	  (CVE-2019-9948, CVE-2019-9740, CVE-2019-5010)

2019-03-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.7.3

2019-02-12 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS BUILD: remove obsolete options

2019-01-04 Pavel Vinogradov <public@sourcemage.org>
	* PRE_BUILD, patches/makefile.patch, patches/pystate.patch,
	  patches-3.7/makefile.patch, patches-3.7/pystate.patch: split the
	  patches, some of them are for devel branch only

2018-12-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.7.2/3.6.8
	* patches/makefile.patch: updated

2018-11-22 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: apply patches only for devel version, as they do not
	  (all) apply to stable

2018-10-24 Pavel Vinogradov <public@sourcemage.org>
	* patches/disable-compileall.patch: added patch to avoid rebuilding of
	  site packages' bytecode

2018-10-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: SECURITY_PATCH++, (CVE-2018-14647)
	* PRE_BUILD, patches{makefile.patch,pystate.patch}: added patches
	  to fix building of tests

2018-10-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.7.1/3.6.7

2018-10-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: enabled staging (actually helps in tracking symlinks)

2018-09-27 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD INSTALL: remove fake install
	  not needed if staging is disabled, also fixes segfault during install

2018-06-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: versions 3.7.0/3.6.6

2018-04-22 Florian Franzmann <bwlf@bandrate.org>
	* BUILD, CONFIGURE: force-enable thread support to prevent error during
	  build

2018-04-10 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: disable building pip to fix error during INSTALL

2018-03-29 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.6.5

2017-12-20 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: fix build of blake2

2017-12-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.6.4
	* INSTALL: rollback verbosity change

2017-11-24 Florian Franzmann <bwlf@bandrate.org
	* DETAILS: staging off to prevent failure in INSTALL
	* INSTALL: less verbosity

2017-11-14 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.6.3; SECURITY_PATCH++
	* INSTALL: corrected conflicting Python gettext scripts
	* PRE_BUILD: corrected build for older GCC versions

2017-08-10 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: fix build of blake2

2017-07-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.6.2

2017-03-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.6.1

2016-12-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.6.0, tgz -> tar.xz
	* python.gpg: replaced old key with AA65421D,
	  Ned Deily (Python release signing key) <nad@python.org>

2016-06-28 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.5.2, SECURITY_PATCH++,
	  (CVE-2015-1283, CVE-2016-0772)

2016-02-11 Thomas Orgis <sobukus@sourcemage.org>
	* INSTALL: Add another symlink to python3.5m-config to make the
	  python3-config one to python3.5-config not danging.

2015-12-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 3.5.1
	* PRE_BUILD: added to force gcc's builtin atomics

2015-09-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.0

2015-04-23 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE: warn about making this python primary

2015-04-21 Thomas Orgis <sobukus@sourcemage.org>
	* INSTALL: ensure python3 and python3-config symlinks,
	  also better version extraction using cut -d .
	* DETAILS: PATCHLEVEL++

2015-03-15 Florian Franzmann <bwlf@bandrate.org
	* INSTALL: install python3 symlink

2014-10-31 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 3.4.2

2014-08-20 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add SSL

2014-05-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.1

2014-03-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.0
	* python.gpg: add key F73C700D: public key "Larry Hastings <larry@hastings.org>"

2014-02-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.4
	  SECURITY_PATCH++, fixes CVE-2013-1752

2013-11-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.3.3

2013-06-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.2

2013-04-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.1
	  SECURITY_PATCH++, fixes CVE-2011-4944

2013-01-20 Florian Franzmann <bwlf@bandrate.org>
	* TRIGGERS: added check_self on tk and tcl cast

2012-10-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.0
	* CONFIGURE, INSTALL: make symlinks optional
	* CONFLICTS: add faulthandler ( now included in python3)

2012-04-24 Treeve Jelbert <treeve@sourcemage.org>
	* INSTALL: add some symlinks
	* DETAILS: PATCHLEVEL=1

2012-04-21 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: set flags for expat
	* CONFIGURE: use correct flags for thread support
	* BUILD, INSTALL: remove use of pydcop.py
	  this is obsolete, from kde3 days
	  use altinstall, not fullinstall

2012-04-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.2.3, SECURITY_PATCH=1

2012-01-14 Robin Cook <rcook@wyrms.net>
        * PRE_BUILD: added to fix linux2/linux3 issue
        * INSTALL: added copying of plat directory
          https://bugs.gentoo.org/374579
	* DETAILS: added patchlevel

2011-10-23 Vlad Glagolev <stealth@sourcemage.org>
	* PROVIDES: added, provides PYTHON

2011-09-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.2

2011-07-30 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS: changed dependency on g++ to dependency on gcc with
	  sub-depends on CXX (scripted)

2011-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.1

2011-06-10 Arjan Bouter <abouter@sourcemage.org>
	* TRIGGERS: added a check_self on glibc cast

2011-02-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2
	* python.gpg: add key 36580288 (Georg Brandl), mentioned on webpage
	* PRE_BUILD, wchar.patch: deleted

2010-06-14 Peng Chang (Charles) <chp@sourcemage.org>
	* DETAILS: updated spell to 3.1.2
	* INSTALL: cp -a doesn't work with castfs
	* BUILD: pass CFLAGS in the way I believe correct

2009-08-22 Vlad Glagolev <stealth@sourcemage.org>
	* {PRE_,}BUILD, CONFIGURE, {{PRE_,}SUB_,}DEPENDS, DETAILS, HISTORY,
	  INSTALL, {UP_,}TRIGGERS, python.gpg, volatiles: spell created
